using System;

using SdlDotNet;

namespace Jumpers
{
	/// <summary>
	/// Interface for visible screens.
	/// </summary>
	public interface IScreen
	{
		/// <summary>
		/// Updates the logic one frame (fixed rate).
		/// </summary>
		void Update( Mouse mouse );

		/// <summary>
		/// Draws the current screen.
		/// </summary>
		void Draw();

		/// <summary>
		/// Called on key down events.
		/// </summary>
		/// <param name="key">The key for the event.</param>
		void KeyDown( Key key );

		/// <summary>
		/// Called on key up events.
		/// </summary>
		/// <param name="key">The key for the event.</param>
		void KeyUp( Key key );
	}
}
